cmake_minimum_required(VERSION 3.10)
find_package("ArmarXCore" REQUIRED)

# Include provides all necessary ArmarX CMake macros
include(${ArmarXCore_USE_FILE})

set(ARMARX_ENABLE_DEPENDENCY_VERSION_CHECK_DEFAULT FALSE)
set(ARMARX_ENABLE_AUTO_CODE_FORMATTING TRUE)

# Name for the project
armarx_project("RobotUnitNJointControllerTutorial")

# Specify each ArmarX Package dependency with the following macro
depends_on_armarx_package(ArmarXGui)
depends_on_armarx_package(RobotAPI)


add_subdirectory(etc)
add_subdirectory(source)

install_project()
